xfsqa: more sh to bash conversions
[xfstests-dev.git] / 006
1 #! /bin/bash
2 # FS QA Test No. 006
3 #
4 # permname
5 #
6 #-----------------------------------------------------------------------
7 # Copyright (c) 2000-2001 Silicon Graphics, Inc.  All Rights Reserved.
8 #
9 # This program is free software; you can redistribute it and/or
10 # modify it under the terms of the GNU General Public License as
11 # published by the Free Software Foundation.
12 #
13 # This program is distributed in the hope that it would be useful,
14 # but WITHOUT ANY WARRANTY; without even the implied warranty of
15 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
16 # GNU General Public License for more details.
17 #
18 # You should have received a copy of the GNU General Public License
19 # along with this program; if not, write the Free Software Foundation,
20 # Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
21 #
22 #-----------------------------------------------------------------------
23 #
24 # creator
25 owner=dxm@sgi.com
26
27 seq=`basename $0`
28 echo "QA output created by $seq"
29
30 here=`pwd`
31 tmp=/tmp/$$
32 status=0        # success is the default!
33 trap "_cleanup; exit \$status" 0 1 2 3 15
34
35 _cleanup()
36 {
37     cd /
38     rm -f $tmp.*
39     rm -rf $testdir/permname.$$
40     _cleanup_testdir
41 }
42
43 _count()
44 {
45     $AWK_PROG '
46         BEGIN   { count = 0 }
47                 { count ++ }
48         END     { print count " files created" }
49     '
50 }
51
52 # get standard environment, filters and checks
53 . ./common.rc
54 . ./common.filter
55
56 # real QA test starts here
57 _supported_fs generic
58 _supported_os IRIX Linux
59
60 _setup_testdir
61
62 mkdir $testdir/permname.$$
63
64 echo ""
65 echo "single thread permname"
66 echo "----------------------"
67 mkdir $testdir/permname.$$/a
68 cd $testdir/permname.$$/a
69 $here/src/permname -c 4 -l 6 -p 1 || echo "permname returned $?"
70 find . | _count
71
72 echo ""
73 echo "multi thread permname"
74 echo "----------------------"
75 mkdir $testdir/permname.$$/b
76 cd $testdir/permname.$$/b
77 $here/src/permname -c 4 -l 6 -p 4 || echo "permname returned $?"
78 find . | _count
79
80 exit